﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfAutoComplete.XForms;
namespace AutoComplete
{
   
    public partial class MainPage : ContentPage
    {
        SfAutoComplete autocomplete = new SfAutoComplete();
        
        public MainPage()
        {
            InitializeComponent();

            autocomplete.MaximumDropDownHeight = 200;
            autocomplete.MinimumPrefixCharacters = 1;
            autocomplete.ShowSuggestionsOnFocus = true;
            autocomplete.HeightRequest = 50;
            autocomplete.DropDownItemHeight = 70;
            autocomplete.DropDownTextSize = 12;
            autocomplete.AutoCompleteMode = AutoCompleteMode.Suggest;
            List<String> countryName = new List<String>();
            countryName.Add("Uganda");
            countryName.Add("Ukraine");
            countryName.Add("United Arab Emirates");
            countryName.Add("United Kingdom");
            countryName.Add("United States");
            autocomplete.AutoCompleteSource = countryName;
            autocomplete.TextSize = 30;
            autocomplete.Watermark = "Enter name";

            

            // this.Content = autocomplete;



            StackLayout obj = new StackLayout();
            obj.Children.Add(autocomplete);


            this.Content = obj;
        }
        
        }
    }


